# Copyright 2012.
# Designed May. 2011 by Pierreden
# Permission to use, copy, modify this software for
# any non-commercial purpose is hereby granted
#-----------------------------------------------------------------------------
# Name        :   Ivy Extension Manager
# Description :   Generates Ivy and branches
# Menu Item   :   plugins > LiveLvy
# Context Menu:   N/A
# Usage       :   landscape design
# Date        :   june 2012
# Type        :   N/A
#-----------------------------------------------------------------------------


require "sketchup.rb"
require "extensions.rb"

$tStrings = LanguageHandler.new("LiveIvy.strings")

#Register the Sandbox Tools with SU's extension manager

Ivy_Extension = SketchupExtension.new $tStrings.GetString("Live Ivy"), "LiveIvy/LiveIvy_Base.rb"
Ivy_Extension.description=$tStrings.GetString("Generates Ivy and its branches")
Ivy_Extension.name = "Live Ivy"
Ivy_Extension.creator ="Pierreden"
Ivy_Extension.version = "0.6.3.1"
Ivy_Extension.copyright = " Pierreden 2012" 

Sketchup.register_extension Ivy_Extension, true

